org.apache.ignite.internal.visor.node

## Class VisorExecutorServiceConfiguration

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObject
  - - org.apache.ignite.internal.visor.node.VisorExecutorServiceConfiguration

All Implemented Interfaces:
  Externalizable, Serializable

    public class VisorExecutorServiceConfiguration
    extends VisorDataTransferObject

Data transfer object for node executors configuration properties.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`V1, V2`

### Constructor Summary

Constructors
Constructor and Description
`VisorExecutorServiceConfiguration()` Default constructor.
`VisorExecutorServiceConfiguration(IgniteConfiguration c)` Create data transfer object for node executors configuration properties.

### Method Summary

Methods
`int` `getCallbackPoolSize()`
`int` `getDataStreamerPoolSize()`
`List<VisorExecutorConfiguration>` `getExecutors()`
`int` `getIgfsThreadPoolSize()`
`int` `getManagementThreadPoolSize()`
`int` `getPeerClassLoadingThreadPoolSize()`
`int` `getPublicThreadPoolSize()`
`int` `getQueryThreadPoolSize()`
`int` `getRebalanceThreadPoolSize()`
`int` `getRestThreadPoolSize()`
`int` `getServiceThreadPoolSize()`
`int` `getSqlConnectorConfigurationThreadPoolSize()`
`int` `getStripedPoolSize()`
`int` `getSystemThreadPoolSize()`
`int` `getUtilityCacheThreadPoolSize()`
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`String` `toString()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorExecutorServiceConfiguration

    public VisorExecutorServiceConfiguration()

Default constructor.

#### VisorExecutorServiceConfiguration

    public VisorExecutorServiceConfiguration(IgniteConfiguration c)

Create data transfer object for node executors configuration properties.

Parameters:
  `c` - Grid configuration.

### Method Detail

#### getPublicThreadPoolSize

    public int getPublicThreadPoolSize()

Returns:
  Public pool size.

#### getSystemThreadPoolSize

    public int getSystemThreadPoolSize()

Returns:
  System pool size.

#### getManagementThreadPoolSize

    public int getManagementThreadPoolSize()

Returns:
  Management pool size.

#### getIgfsThreadPoolSize

    public int getIgfsThreadPoolSize()

Returns:
  IGFS pool size.

#### getPeerClassLoadingThreadPoolSize

    public int getPeerClassLoadingThreadPoolSize()

Returns:
  Peer-to-peer pool size.

#### getRebalanceThreadPoolSize

    public int getRebalanceThreadPoolSize()

Returns:
  Rebalance thread pool size.

#### getRestThreadPoolSize

    public int getRestThreadPoolSize()

Returns:
  REST requests pool size.

#### getCallbackPoolSize

    public int getCallbackPoolSize()

Returns:
  Thread pool size to be used for processing of asynchronous callbacks.

#### getDataStreamerPoolSize

    public int getDataStreamerPoolSize()

Returns:
  Thread pool size to be used for data stream messages.

#### getQueryThreadPoolSize

    public int getQueryThreadPoolSize()

Returns:
  Thread pool size to be used in grid for query messages.

#### getStripedPoolSize

    public int getStripedPoolSize()

Returns:
  Positive value if striped pool should be initialized with configured number of threads (stripes) and used for requests processing or non-positive value to process requests in system pool.

#### getServiceThreadPoolSize

    public int getServiceThreadPoolSize()

Returns:
  Thread pool size to be used in grid to process service proxy invocations.

#### getUtilityCacheThreadPoolSize

    public int getUtilityCacheThreadPoolSize()

Returns:
  Thread pool size to be used in grid for utility cache messages.

#### getSqlConnectorConfigurationThreadPoolSize

    public int getSqlConnectorConfigurationThreadPoolSize()

Returns:
  Thread pool that is in charge of processing ODBC tasks.

#### getExecutors

    public List<VisorExecutorConfiguration> getExecutors()

Returns:
  List of executor configurations.

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `VisorDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                        ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `VisorDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017